MONGOC_STREAM_T(3)

NAME
mongoc_stream_t - typedef struct _mongoc_stream_t mongoc_stream_t

SYNOPSIS

typedef struct _mongoc_stream_t mongoc_stream_t

mongoc_stream_t provides a generic streaming IO abstraction based on a struct of pointers interface. The idea is to allow wrappers, perhaps other language drivers, to easily shim their IO system on top of mongoc_stream_t \&.

The API for the stream abstraction is currently private and non-extensible.

STREAM TYPES

There are a number of built in stream types that come with mongoc. The default configuration is a buffered unix stream. If SSL is in use, that in turn is wrapped in a tls stream.

SEE ALSO

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.